package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.DevEnvironment;
import com.ruoyi.platform.vo.PodStatusVo;

import java.io.InputStream;

public interface JupyterService {
    String getJupyterServiceUrl();

    void upload(InputStream inputStream);

    void mlflow();

    String runJupyterService(Integer id) throws Exception;

    String stopJupyterService(Integer id) throws Exception;

    PodStatusVo getJupyterStatus(DevEnvironment devEnvironment) throws Exception;
}
